Comments
Threaded comments on a note, available on team workspaces.
The comment object
| Field | Type | Description |
|---|---|---|
id | string | Unique identifier, prefixed with cm_. |
author_id | string | Comment author. |
body required | string | Markdown, up to 5000 characters. |
resolved | boolean | Thread resolved flag. |
created_at | timestamp | Creation time, RFC 3339 in UTC. |
Example
{
"id": "cm_8f3k2Q9xLm",
"author_id": "us_5Kd9PaT3",
"body": "Looks good, merging.",
"resolved": false,
"created_at": "2026-09-14T08:21:07Z"
}GET /notes/{note_id}/comments
List comments. Returns a paginated list of comments.
Query parameters
| Field | Type | Description |
|---|---|---|
limit | integer | Page size, 1–100. Default 25. |
cursor | string | Cursor from the previous page. |
sort | string | Field to sort by, prefix - for descending. |
filter | string | Filter expression, see Filtering and sorting. |
Request
curl -X GET "https://api.axnode.net/v2/notes/note_id/comments" \
-H "Authorization: Bearer $AXSYNC_TOKEN"const res = await fetch('https://api.axnode.net/v2/notes/note_id/comments', {
method: 'GET',
headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();import requests
res = requests.get(
'https://api.axnode.net/v2/notes/note_id/comments',
headers={'Authorization': f'Bearer {token}'},
)
data = res.json()Response 200
{
"data": [
{
"id": "cm_8f3k2Q9xLm",
"author_id": "us_5Kd9PaT3",
"body": "Looks good, merging.",
"resolved": false,
"created_at": "2026-09-14T08:21:07Z"
}
],
"has_more": false,
"next_cursor": null
}POST /notes/{note_id}/comments
Create a comment. Creates a comment.
Body parameters
| Field | Type | Description |
|---|---|---|
author_id | string | Comment author. |
body required | string | Markdown, up to 5000 characters. |
resolved | boolean | Thread resolved flag. |
Request
curl -X POST "https://api.axnode.net/v2/notes/note_id/comments" \
-H "Authorization: Bearer $AXSYNC_TOKEN" \
-H "Content-Type: application/json" \
-d '{"body": "Looks good, merging."}'const res = await fetch('https://api.axnode.net/v2/notes/note_id/comments', {
method: 'POST',
headers: { Authorization: `Bearer ${token}`, 'Content-Type': 'application/json' },
body: JSON.stringify({"body": "Looks good, merging."})
});
const data = await res.json();import requests
res = requests.post(
'https://api.axnode.net/v2/notes/note_id/comments',
headers={'Authorization': f'Bearer {token}'}, json={"body": "Looks good, merging."},
)
data = res.json()Response 201
{
"id": "cm_8f3k2Q9xLm",
"author_id": "us_5Kd9PaT3",
"body": "Looks good, merging.",
"resolved": false,
"created_at": "2026-09-14T08:21:07Z"
}GET /notes/{note_id}/comments/{id}
Retrieve a comment. Retrieves a comment by its identifier.
Request
curl -X GET "https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm" \
-H "Authorization: Bearer $AXSYNC_TOKEN"const res = await fetch('https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm', {
method: 'GET',
headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();import requests
res = requests.get(
'https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm',
headers={'Authorization': f'Bearer {token}'},
)
data = res.json()Response 200
{
"id": "cm_8f3k2Q9xLm",
"author_id": "us_5Kd9PaT3",
"body": "Looks good, merging.",
"resolved": false,
"created_at": "2026-09-14T08:21:07Z"
}PATCH /notes/{note_id}/comments/{id}
Update a comment. Updates fields of a comment. Only supplied fields change.
Body parameters
| Field | Type | Description |
|---|---|---|
author_id | string | Comment author. |
body required | string | Markdown, up to 5000 characters. |
resolved | boolean | Thread resolved flag. |
Request
curl -X PATCH "https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm" \
-H "Authorization: Bearer $AXSYNC_TOKEN" \
-H "Content-Type: application/json" \
-d '{"body": "Looks good, merging."}'const res = await fetch('https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm', {
method: 'PATCH',
headers: { Authorization: `Bearer ${token}`, 'Content-Type': 'application/json' },
body: JSON.stringify({"body": "Looks good, merging."})
});
const data = await res.json();import requests
res = requests.patch(
'https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm',
headers={'Authorization': f'Bearer {token}'}, json={"body": "Looks good, merging."},
)
data = res.json()Response 200
{
"id": "cm_8f3k2Q9xLm",
"author_id": "us_5Kd9PaT3",
"body": "Looks good, merging.",
"resolved": false,
"created_at": "2026-09-14T08:21:07Z"
}DELETE /notes/{note_id}/comments/{id}
Delete a comment. Permanently deletes a comment. This cannot be undone.
Request
curl -X DELETE "https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm" \
-H "Authorization: Bearer $AXSYNC_TOKEN"const res = await fetch('https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm', {
method: 'DELETE',
headers: { Authorization: `Bearer ${token}` }
});
const data = await res.json();import requests
res = requests.delete(
'https://api.axnode.net/v2/notes/note_id/comments/cm_8f3k2Q9xLm',
headers={'Authorization': f'Bearer {token}'},
)
data = res.json()Response 200
{
"deleted": true,
"id": "cm_8f3k2Q9xLm"
}